// Code generated by sqlc. DO NOT EDIT.
// versions:
//   sqlc v1.26.0
// source: delete_records.sql

package queries

import (
	"context"

	"github.com/jackc/pgx/v5/pgtype"
)

const deleteRecords = `-- name: DeleteRecords :exec

DELETE FROM auditlog.records
WHERE
    created_at < $1::timestamp
    AND under_review_at IS NULL
`

// Copyright © VNG Realisatie 2024
// Licensed under the EUPL
func (q *Queries) DeleteRecords(ctx context.Context, olderThan pgtype.Timestamp) error {
	_, err := q.db.Exec(ctx, deleteRecords, olderThan)
	return err
}
